=== debian/changelog ===
geos (3.8.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:11 +0100

geos (3.8.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Oct 2019 12:01:18 +0200

geos (3.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop ruby package, has no users in popcon.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Oct 2019 06:50:28 +0200

geos (3.8.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Oct 2019 19:47:31 +0200

geos (3.8.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop check-local.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Oct 2019 20:53:25 +0200

geos (3.8.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add patch to ignore OSX cruft.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Oct 2019 06:36:22 +0200

geos (3.8.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file, changes:
    - Update copyright years for existing copyright holders
    - Add new copyright holders
    - Add license & copyright for ttmath sources
    - Add license & copyright for tinyxml2 sources
    - Add license & copyright for astyle sources
  * Rename C++ library package for SONAME bump.
  * Refresh patches.
  * Don't install TODO in docs, removed upstream.
  * Remove .asm files.
  * Add lintian override for hardening-no-fortify-functions.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Sep 2019 08:06:26 +0200
