## geos 3.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -309,13 +309,15 @@
   "${CMAKE_CURRENT_BINARY_DIR}/include/geos"
   DESTINATION include
   FILES_MATCHING PATTERN "*.h")
+if(NOT DISABLE_GEOS_INLINE)
+  install(DIRECTORY
+    "${CMAKE_CURRENT_LIST_DIR}/include/geos"
+    "${CMAKE_CURRENT_BINARY_DIR}/include/geos"
+    DESTINATION include
+    FILES_MATCHING PATTERN "*.inl")
+endif()
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capi/geos_c.h"
   DESTINATION include)
 
 add_subdirectory(tools)
 
-#-----------------------------------------------------------------------------
-# Uninstall
-#-----------------------------------------------------------------------------
-
-configure_file("${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
