=== debian/changelog ===
geos (3.8.1-1) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Mar 2020 19:34:57 +0100

geos (3.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures on alpha, hppa & sparc64 too.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Mar 2020 19:52:28 +0100
