## geos 3.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,6 @@
   message(STATUS "GEOS: Build type: ${CMAKE_BUILD_TYPE}")
 endif()
 
-
 #-----------------------------------------------------------------------------
 # Options
 #-----------------------------------------------------------------------------
@@ -126,10 +125,10 @@
   LANGUAGES C CXX
   ${_project_info})
 
-if("${_version_patch_word}" STREQUAL "")
-  set(GEOS_VERSION_FULL "${GEOS_VERSION}")
-else()
-  set(GEOS_VERSION_FULL "${GEOS_VERSION}${_version_patch_word}")
+if(NOT "${_version_patch_word}" STREQUAL "")
+  # Re-write VERSION variables after project()
+  set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
+  set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
 endif()
 
 unset(_version_major)
@@ -137,7 +136,7 @@
 unset(_version_patch)
 unset(_version_patch_word)
 
-message(STATUS "GEOS: Version ${GEOS_VERSION_FULL}")
+message(STATUS "GEOS: Version ${GEOS_VERSION}")
 message(STATUS "GEOS: C API Version ${CAPI_VERSION}")
 message(STATUS "GEOS: JTS port ${JTS_PORT}")
 
@@ -154,6 +153,21 @@
 add_library(geos_cxx_flags INTERFACE)
 target_compile_features(geos_cxx_flags INTERFACE cxx_std_11)
 
+#-----------------------------------------------------------------------------
+# Add flags to prevent 'fused multiply-add' operations on targets (ARM64)
+# that allow it, as it breaks calculations in DD.cpp. 
+# TODO: Replace DD calculations with 'long float' where target supports
+# true long float, and remove other cases where FMA causes regression
+# failures.
+#   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98207
+#-----------------------------------------------------------------------------
+
+target_compile_options(geos_cxx_flags INTERFACE 
+	"$<$<CXX_COMPILER_ID:Clang>:-ffp-contract=off>"
+	"$<$<CXX_COMPILER_ID:GNU>:-ffp-contract=off>"
+	"$<$<CXX_COMPILER_ID:MSVC>:/fp:precise>"
+	)
+	
 #-----------------------------------------------------------------------------
 # Target geos_cxx_flags: common compilation flags
 #-----------------------------------------------------------------------------
@@ -163,6 +177,16 @@
 else()
   message(STATUS
   "GEOS: DISABLING inlining of small functions")
+endif()
+
+#-----------------------------------------------------------------------------
+# Target geos_cxx_flags: overlayng code
+#-----------------------------------------------------------------------------
+option(DISABLE_OVERLAYNG "Disable overlayng algorithms" OFF)
+if(DISABLE_OVERLAYNG)
+  target_compile_definitions(geos_cxx_flags INTERFACE DISABLE_OVERLAYNG)
+  message(STATUS
+  "GEOS: DISABLING overlayng algorithms")
 endif()
 
 #-----------------------------------------------------------------------------
@@ -203,12 +227,6 @@
     $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>>:-pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
     $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates>)
 
-# Disable TTMath ASM support on Windows due to build issues
-if(WIN32)
-  target_compile_definitions(geos_cxx_flags
-    INTERFACE TTMATH_NOASM)
-endif()
-
 #-----------------------------------------------------------------------------
 # Define a coverage build
 #-----------------------------------------------------------------------------
@@ -224,7 +242,7 @@
 
 if(BUILD_SHARED_LIBS)
   target_compile_definitions(geos
-    PRIVATE $<$<CXX_COMPILER_ID:MSVC>:GEOS_DLL_EXPORT>)
+    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
 
   set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION})
   set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION})
@@ -238,7 +256,7 @@
 
 if(BUILD_SHARED_LIBS)
   target_compile_definitions(geos_c
-    PRIVATE $<$<CXX_COMPILER_ID:MSVC>:GEOS_DLL_EXPORT>)
+    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
 
   set_target_properties(geos_c PROPERTIES VERSION ${CAPI_VERSION})
   if(NOT WIN32)
@@ -270,6 +288,7 @@
 # Install and export targets - support 'make install' or equivalent
 #-----------------------------------------------------------------------------
 include(CMakePackageConfigHelpers)
+
 write_basic_package_version_file(
   "${CMAKE_CURRENT_BINARY_DIR}/geos-config-version.cmake"
   VERSION ${GEOS_VERSION}
@@ -281,43 +300,4 @@
 
 install(TARGETS geos geos_cxx_flags
   EXPORT geos-targets
-  LIBRARY DESTINATION lib NAMELINK_SKIP
-  ARCHIVE DESTINATION lib
-  RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
-  )
-
-install(TARGETS geos_c
-  EXPORT geos-targets
   LIBRARY DESTINATION lib
-  ARCHIVE DESTINATION lib
-  RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
-  )
-
-install(EXPORT geos-targets
-  FILE geos-targets.cmake
-  NAMESPACE GEOS::
-  DESTINATION lib/cmake/GEOS)
-
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/geos-config.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/geos-config-version.cmake"
-  DESTINATION lib/cmake/GEOS)
-install(DIRECTORY
-  "${CMAKE_CURRENT_LIST_DIR}/include/geos"
-  "${CMAKE_CURRENT_BINARY_DIR}/include/geos"
-  DESTINATION include
-  FILES_MATCHING PATTERN "*.h")
-if(NOT DISABLE_GEOS_INLINE)
-  install(DIRECTORY
-    "${CMAKE_CURRENT_LIST_DIR}/include/geos"
-    "${CMAKE_CURRENT_BINARY_DIR}/include/geos"
-    DESTINATION include
-    FILES_MATCHING PATTERN "*.inl")
-endif()
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capi/geos_c.h"
-  DESTINATION include)
-
-add_subdirectory(tools)
-
