=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,11 @@
 add_executable(example example.cpp)
 
 target_link_libraries(example PRIVATE geos)
-target_include_directories(test_geos_unit
+if(BUILD_TESTING)
+    target_include_directories(test_geos_unit
         PRIVATE
         $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>)
+endif()
 
 option(BUILD_DOCUMENTATION "Build Doxygen documentation" OFF)
 
@@ -27,7 +29,7 @@
     endif()
 
     set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
-    set(VERSION ${GEOS_VERSION_FULL})
+    set(VERSION ${GEOS_VERSION})
     set(DOXYGEN_LOGFILE ${CMAKE_CURRENT_BINARY_DIR}/doxygen.log)
     set(CHECK_ERROR_SCRIPT "check_doxygen_errors.cmake")
     configure_file(
