=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,33 @@
 #################################################################################
 
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/geos-config.cmake
-               ${CMAKE_CURRENT_BINARY_DIR}/geos-config)
+if(NOT MSVC)
+  # Consider CMAKE_INSTALL_PREFIX with spaces
+  string(REPLACE " " "\\ " ESCAPED_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
+  configure_file(
+    ${CMAKE_CURRENT_SOURCE_DIR}/geos-config.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/geos-config
+    @ONLY NEWLINE_STYLE UNIX)
 
+  install(FILES
+    ${CMAKE_CURRENT_BINARY_DIR}/geos-config
+    DESTINATION bin
+    PERMISSIONS
+      OWNER_READ OWNER_EXECUTE
+      GROUP_READ GROUP_EXECUTE
+      WORLD_READ WORLD_EXECUTE)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos-config
-        DESTINATION bin
-        PERMISSIONS
-        OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+  # pkg-config support
+  configure_file(
+    ${CMAKE_CURRENT_SOURCE_DIR}/geos.pc.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/geos.pc
+    @ONLY)
+
+  install(FILES
+    ${CMAKE_CURRENT_BINARY_DIR}/geos.pc
+    DESTINATION lib/pkgconfig)
+
+endif()
 
 add_subdirectory(astyle)
