=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
   PRIVATE
     $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>)
 
-file(GLOB_RECURSE _testfiles ${CMAKE_CURRENT_LIST_DIR}/**/*.cpp CONFIGURE_DEPEND)
+file(GLOB_RECURSE _testfiles ${CMAKE_CURRENT_LIST_DIR}/**/*Test.cpp CONFIGURE_DEPEND)
 foreach(_testfile ${_testfiles})
     string(REPLACE ${CMAKE_CURRENT_LIST_DIR}/ "" _testname ${_testfile})
     string(REPLACE "Test.cpp" "" _testname ${_testname})
