=== debian/changelog ===
geos (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop version.patch, fixed upstream.
  * Update symbols for other architectures.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Dec 2020 05:34:34 +0100

geos (3.9.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop Contact from upstream metadata.
  * Add patch to revert SOVERSION decrement.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2020 05:44:45 +0100

geos (3.9.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump watch file version to 4.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Include pkgconfig file in libgeos-dev.
  * Update symbols for amd64.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Nov 2020 06:51:28 +0100
