=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_clean:
 	dh_clean debian/libgeos++-dev.install
@@ -52,7 +52,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 armel armhf mips mips64el mipsel ppc64el s390x ia64 powerpc ppc64 riscv64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 armel armhf mips mips64el mipsel ppc64el s390x alpha hppa ia64 powerpc ppc64 riscv64 sparc64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
